Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen
Class ExtendedVerifier

    java.lang.Object
      org.codehaus.groovy.classgen.ExtendedVerifier

All Implemented Interfaces:
  GroovyClassVisitor

    class ExtendedVerifier
    extends Object

A specialized Groovy AST visitor meant to perform additional verifications upon the current AST. Currently it does checks on annotated nodes and annotations itself.

Current limitations: - annotations on local variables are not supported

author:
  Alex Popescu

Field Summary
`static String` | `JVM_ERROR_MESSAGE`

Constructor Summary
`ExtendedVerifier(SourceUnit sourceUnit)`

Method Summary
`protected void` | `addError(String msg, ASTNode expr)`
`protected boolean` | `isAnnotationCompatible()` Check if the current runtime allows Annotation usage.
`protected void` | `visitAnnotations(AnnotatedNode node, int target)`
`void` | `visitClass(ClassNode node)`
`void` | `visitConstructor(ConstructorNode node)`
`void` | `visitField(FieldNode node)`
`void` | `visitGenericType(GenericsType genericsType)`
`void` | `visitMethod(MethodNode node)`
`void` | `visitProperty(PropertyNode node)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### JVM_ERROR_MESSAGE

    static final String JVM_ERROR_MESSAGE

Constructor Detail

### ExtendedVerifier

    public ExtendedVerifier(SourceUnit sourceUnit)

Method Detail

### addError

    protected void addError(String msg, ASTNode expr)

### isAnnotationCompatible

    protected boolean isAnnotationCompatible()

  Check if the current runtime allows Annotation usage.
  return:
    true if running on a 1.5+ runtime

### visitAnnotations

    protected void visitAnnotations(AnnotatedNode node, int target)

### visitClass

    public void visitClass(ClassNode node)

### visitConstructor

    public void visitConstructor(ConstructorNode node)

### visitField

    public void visitField(FieldNode node)

### visitGenericType

    public void visitGenericType(GenericsType genericsType)

### visitMethod

    public void visitMethod(MethodNode node)

### visitProperty

    public void visitProperty(PropertyNode node)

Copyright © 2003-2009 The Codehaus. All rights reserved.